com.versionone.apiclient

## Class Attribute

- java.lang.Object
- - com.versionone.apiclient.Attribute

-     public abstract class Attribute
      extends Object

  Base class for an attribute

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Attribute(IAttributeDefinition def, Asset asset)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `acceptChanges()` Accept the changes to the attribute
    `protected void` | `checkNull(Object value)`
    `protected void` | `checkReadOnly()`
    `abstract Object[]` | `getAddedValues()` Get values that were added
    `Asset` | `getAsset()` Get the Asset that owns the attribute
    `IAttributeDefinition` | `getDefinition()` Get the definition of the attribute
    `abstract Object` | `getNewValue()` Get the new value of the attribute
    `abstract Object[]` | `getNewValues()` Get the new Valued
    `abstract Object` | `getOriginalValue()` Get the original value of the attribute
    `abstract Object[]` | `getOriginalValues()` Get the original values
    `abstract Object[]` | `getRemovedValues()` Get the values that were removed
    `Object` | `getValue()` Get the current value of the attribute
    `Object[]` | `getValues()` Get the current values of the attribute
    `abstract boolean` | `hasChanged()` Has this attribute changed
    `abstract void` | `rejectChanges()` Reject the changes to this attribute

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Attribute

          protected Attribute(IAttributeDefinition def,
                              Asset asset)

  - ### Method Detail

    - #### getAsset

          public Asset getAsset()

      Get the Asset that owns the attribute
      Returns:
        Asset

    - #### getDefinition

          public IAttributeDefinition getDefinition()

      Get the definition of the attribute
      Returns:
        IAttributeDefinition

    - #### getOriginalValue

          public abstract Object getOriginalValue()
                                           throws APIException

      Get the original value of the attribute
      Returns:
        Object - Object
      Throws:
        `APIException` - - APIException

    - #### getNewValue

          public abstract Object getNewValue()
                                      throws APIException

      Get the new value of the attribute
      Returns:
        Object
      Throws:
        `APIException` - - APIException

    - #### getValue

          public Object getValue()
                          throws APIException

      Get the current value of the attribute
      Returns:
        Object
      Throws:
        `APIException` - - APIException

    - #### getOriginalValues

          public abstract Object[] getOriginalValues()

      Get the original values
      Returns:
        array of Object

    - #### getNewValues

          public abstract Object[] getNewValues()

      Get the new Valued
      Returns:
        array of Object

    - #### getAddedValues

          public abstract Object[] getAddedValues()

      Get values that were added
      Returns:
        array of Object

    - #### getRemovedValues

          public abstract Object[] getRemovedValues()

      Get the values that were removed
      Returns:
        array of Object

    - #### getValues

          public Object[] getValues()

      Get the current values of the attribute
      Returns:
        array of Object

    - #### hasChanged

          public abstract boolean hasChanged()

      Has this attribute changed
      Returns:
        boolean

    - #### acceptChanges

          public abstract void acceptChanges()

      Accept the changes to the attribute

    - #### rejectChanges

          public abstract void rejectChanges()

      Reject the changes to this attribute

    - #### checkReadOnly

          protected void checkReadOnly()

    - #### checkNull

          protected void checkNull(Object value)

Copyright © 2016 VersionOne, Inc.. All rights reserved.